<html>
<head>
<title>OGRE: Ogre::ArchiveManager Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1ArchiveManager.html">ArchiveManager</a></div>
<h1>Ogre::ArchiveManager Class Reference</h1><!-- doxytag: class="Ogre::ArchiveManager" --><!-- doxytag: inherits="Ogre::Singleton" -->This class manages the available <a class="el" href="classOgre_1_1ArchiveFactory.html" title="Abstract factory class, archive codec plugins can register concrete subclasses of...">ArchiveFactory</a> plugins.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreArchiveManager_8h-source.html">OgreArchiveManager.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::ArchiveManager:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1ArchiveManager-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ArchiveManager.html#4af6cf74f6bc68dfbc25032799261c3a">ArchiveManager</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Default constructor - should never get called by a client app.  <a href="#4af6cf74f6bc68dfbc25032799261c3a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ArchiveManager.html#0abcd0bcbab592304b00023b87d2b48e">~ArchiveManager</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Default destructor.  <a href="#0abcd0bcbab592304b00023b87d2b48e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Archive.html">Archive</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ArchiveManager.html#5aee8deff46987c5cfd2c427c80bacde">load</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;filename, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;archiveType)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Opens an archive for file reading.  <a href="#5aee8deff46987c5cfd2c427c80bacde"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ArchiveManager.html#fae10919b8d8d0884fe413d56a683006">unload</a> (<a class="el" href="classOgre_1_1Archive.html">Archive</a> *arch)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Unloads an archive.  <a href="#fae10919b8d8d0884fe413d56a683006"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ArchiveManager.html#05baddedf360653448d436c33dbf0de3">unload</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;filename)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Unloads an archive by name.  <a href="#05baddedf360653448d436c33dbf0de3"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ArchiveManager.html#b6c255acb890a2d21ae1d3379a512730">addArchiveFactory</a> (<a class="el" href="classOgre_1_1ArchiveFactory.html">ArchiveFactory</a> *factory)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Adds a new <a class="el" href="classOgre_1_1ArchiveFactory.html" title="Abstract factory class, archive codec plugins can register concrete subclasses of...">ArchiveFactory</a> to the list of available factories.  <a href="#b6c255acb890a2d21ae1d3379a512730"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="classOgre_1_1ArchiveManager.html">ArchiveManager</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ArchiveManager.html#d5b5f92045294d97c3aecddaba89de31">getSingleton</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Override standard <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> retrieval.  <a href="#d5b5f92045294d97c3aecddaba89de31"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="classOgre_1_1ArchiveManager.html">ArchiveManager</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ArchiveManager.html#460a08ab422a879e91dd154ee33c2aac">getSingletonPtr</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Override standard <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> retrieval.  <a href="#460a08ab422a879e91dd154ee33c2aac"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::map<br>
&lt; <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>,<br>
 <a class="el" href="classOgre_1_1ArchiveFactory.html">ArchiveFactory</a> * &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ArchiveManager.html#278ebb7c9a9f4512829a1d955d9c97e8">ArchiveFactoryMap</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::map<br>
&lt; <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <a class="el" href="classOgre_1_1Archive.html">Archive</a> * &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ArchiveManager.html#d413caa248d151791ad7f2eef7bc6e09">ArchiveMap</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Currently loaded archives.  <a href="#d413caa248d151791ad7f2eef7bc6e09"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ArchiveManager.html#278ebb7c9a9f4512829a1d955d9c97e8">ArchiveFactoryMap</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ArchiveManager.html#be0af361a9d7c3c4177b2392efac3c0a">mArchFactories</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Factories available to create archives, indexed by archive type (String identifier e.g. 'Zip').  <a href="#be0af361a9d7c3c4177b2392efac3c0a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ArchiveManager.html#d413caa248d151791ad7f2eef7bc6e09">ArchiveMap</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ArchiveManager.html#c718cc69b4a623985696290eecca5d2e">mArchives</a></td></tr>

<tr><td colspan="2"><br><h2>Static Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static T *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Singleton.html#d36ac06b409a2d580217328ef2cd3a01">ms_Singleton</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
This class manages the available <a class="el" href="classOgre_1_1ArchiveFactory.html" title="Abstract factory class, archive codec plugins can register concrete subclasses of...">ArchiveFactory</a> plugins. 
<p>Definition at line <a class="el" href="OgreArchiveManager_8h-source.html#l00041">41</a> of file <a class="el" href="OgreArchiveManager_8h-source.html">OgreArchiveManager.h</a>.</p>
<hr><h2>Member Typedef Documentation</h2>
<a class="anchor" name="278ebb7c9a9f4512829a1d955d9c97e8"></a><!-- doxytag: member="Ogre::ArchiveManager::ArchiveFactoryMap" ref="278ebb7c9a9f4512829a1d955d9c97e8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::map&lt;<a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <a class="el" href="classOgre_1_1ArchiveFactory.html">ArchiveFactory</a>*&gt; <a class="el" href="classOgre_1_1ArchiveManager.html#278ebb7c9a9f4512829a1d955d9c97e8">Ogre::ArchiveManager::ArchiveFactoryMap</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreArchiveManager_8h-source.html#l00044">44</a> of file <a class="el" href="OgreArchiveManager_8h-source.html">OgreArchiveManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d413caa248d151791ad7f2eef7bc6e09"></a><!-- doxytag: member="Ogre::ArchiveManager::ArchiveMap" ref="d413caa248d151791ad7f2eef7bc6e09" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::map&lt;<a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <a class="el" href="classOgre_1_1Archive.html">Archive</a>*&gt; <a class="el" href="classOgre_1_1ArchiveManager.html#d413caa248d151791ad7f2eef7bc6e09">Ogre::ArchiveManager::ArchiveMap</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Currently loaded archives. 
<p>

<p>Definition at line <a class="el" href="OgreArchiveManager_8h-source.html#l00048">48</a> of file <a class="el" href="OgreArchiveManager_8h-source.html">OgreArchiveManager.h</a>.</p>

</div>
</div><p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="4af6cf74f6bc68dfbc25032799261c3a"></a><!-- doxytag: member="Ogre::ArchiveManager::ArchiveManager" ref="4af6cf74f6bc68dfbc25032799261c3a" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::ArchiveManager::ArchiveManager           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Default constructor - should never get called by a client app. 
<p>

<p>Definition at line <a class="el" href="OgreArchiveManager_8h-source.html#l00054">54</a> of file <a class="el" href="OgreArchiveManager_8h-source.html">OgreArchiveManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="0abcd0bcbab592304b00023b87d2b48e"></a><!-- doxytag: member="Ogre::ArchiveManager::~ArchiveManager" ref="0abcd0bcbab592304b00023b87d2b48e" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::ArchiveManager::~ArchiveManager           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Default destructor. 
<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="5aee8deff46987c5cfd2c427c80bacde"></a><!-- doxytag: member="Ogre::ArchiveManager::load" ref="5aee8deff46987c5cfd2c427c80bacde" args="(const String &amp;filename, const String &amp;archiveType)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Archive.html">Archive</a>* Ogre::ArchiveManager::load           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>filename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>archiveType</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Opens an archive for file reading. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>The archives are created using class factories within extension libraries. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>filename</em>&nbsp;</td><td>The filename that will be opened </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>refLibrary</em>&nbsp;</td><td>The library that contains the data-handling code </td></tr>
  </table>
</dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>If the function succeeds, a valid pointer to an <a class="el" href="classOgre_1_1Archive.html" title="Archive-handling class.">Archive</a> object is returened. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>If the function fails, an exception is thrown. </dd></dl>

</div>
</div><p>
<a class="anchor" name="fae10919b8d8d0884fe413d56a683006"></a><!-- doxytag: member="Ogre::ArchiveManager::unload" ref="fae10919b8d8d0884fe413d56a683006" args="(Archive *arch)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::ArchiveManager::unload           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Archive.html">Archive</a> *&nbsp;</td>
          <td class="paramname"> <em>arch</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Unloads an archive. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>You must ensure that this archive is not being used before removing it. </dd></dl>

</div>
</div><p>
<a class="anchor" name="05baddedf360653448d436c33dbf0de3"></a><!-- doxytag: member="Ogre::ArchiveManager::unload" ref="05baddedf360653448d436c33dbf0de3" args="(const String &amp;filename)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::ArchiveManager::unload           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>filename</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Unloads an archive by name. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>You must ensure that this archive is not being used before removing it. </dd></dl>

</div>
</div><p>
<a class="anchor" name="b6c255acb890a2d21ae1d3379a512730"></a><!-- doxytag: member="Ogre::ArchiveManager::addArchiveFactory" ref="b6c255acb890a2d21ae1d3379a512730" args="(ArchiveFactory *factory)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::ArchiveManager::addArchiveFactory           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ArchiveFactory.html">ArchiveFactory</a> *&nbsp;</td>
          <td class="paramname"> <em>factory</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Adds a new <a class="el" href="classOgre_1_1ArchiveFactory.html" title="Abstract factory class, archive codec plugins can register concrete subclasses of...">ArchiveFactory</a> to the list of available factories. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd><a class="el" href="classOgre_1_1Plugin.html" title="Class defining a generic OGRE plugin.">Plugin</a> developers who add new archive codecs need to call this after defining their <a class="el" href="classOgre_1_1ArchiveFactory.html" title="Abstract factory class, archive codec plugins can register concrete subclasses of...">ArchiveFactory</a> subclass and <a class="el" href="classOgre_1_1Archive.html" title="Archive-handling class.">Archive</a> subclasses for their archive type. </dd></dl>

</div>
</div><p>
<a class="anchor" name="d5b5f92045294d97c3aecddaba89de31"></a><!-- doxytag: member="Ogre::ArchiveManager::getSingleton" ref="d5b5f92045294d97c3aecddaba89de31" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1ArchiveManager.html">ArchiveManager</a>&amp; Ogre::ArchiveManager::getSingleton           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Override standard <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> retrieval. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Why do we do this? Well, it's because the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> implementation is in a .h file, which means it gets compiled into anybody who includes it. This is needed for the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> template to work, but we actually only want it compiled into the implementation of the class based on the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a>, not all of them. If we don't change this, we get link errors when trying to use the Singleton-based class from an outside dll. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>This method just delegates to the template version anyway, but the implementation stays in this single compilation unit, preventing link errors. </dd></dl>

<p>Reimplemented from <a class="el" href="classOgre_1_1Singleton.html#7757bd7ac3702c144502e53ad6491888">Ogre::Singleton&lt; T &gt;</a>.</p>

</div>
</div><p>
<a class="anchor" name="460a08ab422a879e91dd154ee33c2aac"></a><!-- doxytag: member="Ogre::ArchiveManager::getSingletonPtr" ref="460a08ab422a879e91dd154ee33c2aac" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1ArchiveManager.html">ArchiveManager</a>* Ogre::ArchiveManager::getSingletonPtr           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Override standard <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> retrieval. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Why do we do this? Well, it's because the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> implementation is in a .h file, which means it gets compiled into anybody who includes it. This is needed for the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> template to work, but we actually only want it compiled into the implementation of the class based on the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a>, not all of them. If we don't change this, we get link errors when trying to use the Singleton-based class from an outside dll. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>This method just delegates to the template version anyway, but the implementation stays in this single compilation unit, preventing link errors. </dd></dl>

<p>Reimplemented from <a class="el" href="classOgre_1_1Singleton.html#7ab51c46521b89723d6186a52a7e0d7b">Ogre::Singleton&lt; T &gt;</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="be0af361a9d7c3c4177b2392efac3c0a"></a><!-- doxytag: member="Ogre::ArchiveManager::mArchFactories" ref="be0af361a9d7c3c4177b2392efac3c0a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ArchiveManager.html#278ebb7c9a9f4512829a1d955d9c97e8">ArchiveFactoryMap</a> <a class="el" href="classOgre_1_1ArchiveManager.html#be0af361a9d7c3c4177b2392efac3c0a">Ogre::ArchiveManager::mArchFactories</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Factories available to create archives, indexed by archive type (String identifier e.g. 'Zip'). 
<p>

<p>Definition at line <a class="el" href="OgreArchiveManager_8h-source.html#l00046">46</a> of file <a class="el" href="OgreArchiveManager_8h-source.html">OgreArchiveManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="c718cc69b4a623985696290eecca5d2e"></a><!-- doxytag: member="Ogre::ArchiveManager::mArchives" ref="c718cc69b4a623985696290eecca5d2e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ArchiveManager.html#d413caa248d151791ad7f2eef7bc6e09">ArchiveMap</a> <a class="el" href="classOgre_1_1ArchiveManager.html#c718cc69b4a623985696290eecca5d2e">Ogre::ArchiveManager::mArchives</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreArchiveManager_8h-source.html#l00049">49</a> of file <a class="el" href="OgreArchiveManager_8h-source.html">OgreArchiveManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d36ac06b409a2d580217328ef2cd3a01"></a><!-- doxytag: member="Ogre::ArchiveManager::ms_Singleton" ref="d36ac06b409a2d580217328ef2cd3a01" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T* <a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton</a>&lt; T &gt;::<a class="el" href="classOgre_1_1Singleton.html#d36ac06b409a2d580217328ef2cd3a01">ms_Singleton</a><code> [static, protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSingleton_8h-source.html#l00061">61</a> of file <a class="el" href="OgreSingleton_8h-source.html">OgreSingleton.h</a>.</p>

<p>Referenced by <a class="el" href="OgreSingleton_8h-source.html#l00076">Ogre::Singleton&lt; Ogre::FontManager &gt;::getSingleton()</a>, <a class="el" href="OgreSingleton_8h-source.html#l00078">Ogre::Singleton&lt; Ogre::FontManager &gt;::getSingletonPtr()</a>, <a class="el" href="OgreSingleton_8h-source.html#l00064">Ogre::Singleton&lt; Ogre::FontManager &gt;::Singleton()</a>, and <a class="el" href="OgreSingleton_8h-source.html#l00074">Ogre::Singleton&lt; Ogre::FontManager &gt;::~Singleton()</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreArchiveManager_8h-source.html">OgreArchiveManager.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:08 2008
</p>
</body>
</html>
